level1 = {}
setmetatable(level1, level)

function level1:new(game, ...)
    local o = getmetatable(self):new(...)
    local bots = {
        pregnant_bot:new(vertex:new(400, 100), 80, 40, 5, polygon:new({
            vertex:new(0,0),
            vertex:new(50,0),
            vertex:new(50,50),
            vertex:new(100,50),
            vertex:new(100, 100),
            vertex:new(50, 100),
            vertex:new(50,150),
            vertex:new(0, 150),
            vertex:new(0, 100),
            vertex:new(-50, 100),
            vertex:new(-50, 50)
        }), 200)

    }
    game.go.bots = botsgod:new(bots)
    game.go.gamestats.alive = game.go.gamestats.alive + #bots

    game:give_skill(skill_turbo:new(1000))
    o.bots = bots
    o.name = 1
    o.full_name = 'Story begins'
    setmetatable(o, self)
    self.__index = self
    return o
end

function level1:update(...)
    local dt, g = ...
    local all_dead = true
    g.go.bots:call_for_all(function(i, b)
        if (not b.dead) then
            all_dead = false
        end
    end)

    if (all_dead) then
        g.restore.youare = deepcopy(g.go.youare)
        g.restore.frags = g.go.gamestats.frags
        return 'completed'
    else
        return false
    end

end

return level1

